Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.fourthline.cling.support.lastchange
Class EventedValueEnumArray<E extends Enum>

    java.lang.Object
      org.fourthline.cling.support.lastchange.EventedValue<E[]>
          org.fourthline.cling.support.lastchange.EventedValueEnumArray<E>

Direct Known Subclasses:
  AVTransportVariable.CurrentTransportActions, AVTransportVariable.PossibleRecordQualityModes, AVTransportVariable.PossibleRecordStorageMedia

    public abstract class EventedValueEnumArray<E extends Enum>

extends EventedValue<E[]>

Author:
  Christian Bauer

Field Summary

Fields inherited from class org.fourthline.cling.support.lastchange.EventedValue
`value`

Constructor Summary
`EventedValueEnumArray(E[] e)`
`EventedValueEnumArray(Map.Entry<String,String>[] attributes)`

Method Summary
`protected abstract E[]` | `enumValueOf(String[] names)`
`protected Datatype` | `getDatatype()`
`String` | `toString()`
`protected E[]` | `valueOf(String s)`

Methods inherited from class org.fourthline.cling.support.lastchange.EventedValue
`getAttributes, getName, getValue, valueOf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EventedValueEnumArray

    public EventedValueEnumArray(E[] e)

### EventedValueEnumArray

    public EventedValueEnumArray(Map.Entry<String,String>[] attributes)

Method Detail

### valueOf

    protected E[] valueOf(String s)
                                throws InvalidValueException

  Overrides:
    `valueOf` in class `EventedValue<E extends Enum[]>`
  Throws:
    `InvalidValueException`

### enumValueOf

    protected abstract E[] enumValueOf(String[] names)

### toString

    public String toString()

  Overrides:
    `toString` in class `EventedValue<E extends Enum[]>`

### getDatatype

    protected Datatype getDatatype()

  Specified by:
    `getDatatype` in class `EventedValue<E extends Enum[]>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 4th Line GmbH, Switzerland. All Rights Reserved.